// *********************************
//  Page de connexion 'Acces Point' 
// *********************************
const char *ConnectAP_Html = R"====(
<!doctype html>
<html><head><meta charset="UTF-8">
    <style>
    * {box-sizing: border-box;}
      body {color:white;font-size:120%;text-align:center;width:100%;max-width:1000px;margin:auto;background: linear-gradient(#003,#77b5fe,#003);background-attachment:fixed;padding:10px;}
      .scan{font-size:12px;font-style:italic;}
      .l0{display:table-row;margin:auto;background-color:#333;padding:2px;}
      .l1{display:table-row;margin:auto;background-color:#666;padding:2px;}
      label,.dB,.info ,.Titre{display: table-cell;padding:4px;text-align:left;font-size:120%;border:1px solid white;}
      .Titre{font-weight:bold;}
      #ListeWifi{display:inline-block;margin:auto;}
      .tableWifi{display:table;margin:auto;}
      .pied{text-align:right;font-size:14px;}
      a:link {color:#aaf;text-decoration: none;}
      a:visited {color:#ccf;text-decoration: none;}
    </style>
</head>
<body onload="ScanWIFI();">
<h1 >WIFI - Scan</h1>
<div class='scan'>Scan every 5 to 10s - Scan toutes les 5 à 10s</div>
<div id="ListeWifi"></div><br><br>
<div class='pied'><a href="f1atb.fr">F1ATB.fr</a></div>
<script>
  var GS=String.fromCharCode(29); //Group Separator
  var RS=String.fromCharCode(30); //Record Separator
  function ScanWIFI(){  
    var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() { 
          if (this.readyState == 4 && this.status == 200) {
             var LesWifi=this.responseText;
             var Wifi=LesWifi.split(GS); 
  
             var S ="<div class='tableWifi'>";
             S +="<div class='l1'><div class='Titre'> SSID </div><div class='Titre'> RSSI </div><div class='Titre'> CH </div><div class='Titre'>Encryption</div></div>";
             for (var i=0;i<Wifi.length-1;i++) {
                var wifi=Wifi[i].split(RS); 
                var j=i%2;
                S +="<div class='l"+ j +"'>";
                S +="<label for='W" + i+"'>" + wifi[0] +" </label>";
                S +="<div class='dB'>" +wifi[1] +" dBm</div> ";
                S +="<div class='info'>" +wifi[2] +"</div> ";
                S +="<div class='info'>" +wifi[3] +"</div> ";
                S +="</div>";
              }
              S +="</div>";
              
             GH("ListeWifi", S);
             setTimeout('ScanWIFI();',2000);
          }         
        };
        xhttp.open('GET', 'AP_ScanWifi', true);
        xhttp.send();
        
  }
  function GID(id) { return document.getElementById(id); };
  function GH(id, T) {
    if ( GID(id)){
     GID(id).innerHTML = T; }
    }
  function GV(id, T) { GID(id).value = T; }
</script>
</body></html>
)====";